# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "markdown-tui-explorer"
version = "1.17.3"
build = false
exclude = ["docs/screenshots/*"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A terminal-based markdown file browser and viewer with search, syntax highlighting, and live reload"
homepage = "https://github.com/leboiko/markdown-reader"
readme = "README.md"
keywords = [
    "markdown",
    "tui",
    "terminal",
    "viewer",
    "ratatui",
]
categories = [
    "command-line-utilities",
    "text-processing",
]
license = "MIT"
repository = "https://github.com/leboiko/markdown-reader"

[[bin]]
name = "markdown-reader"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.base64]
version = "0.22"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.crossterm]
version = "0.29"

[dependencies.dirs]
version = "6.0.0"

[dependencies.edtui]
version = "0.11.2"
default-features = false

[dependencies.ignore]
version = "0.4"

[dependencies.image]
version = "0.25"
default-features = false

[dependencies.mermaid-rs-renderer]
version = "0.2.1"

[dependencies.mermaid-text]
version = "0.14.3"

[dependencies.notify-debouncer-mini]
version = "0.7"

[dependencies.pulldown-cmark]
version = "0.13"

[dependencies.ratatui]
version = "0.30"

[dependencies.ratatui-image]
version = "10.0.6"
features = ["crossterm"]
default-features = false

[dependencies.resvg]
version = "0.46"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.syntect]
version = "5.3.0"
features = ["default-fancy"]
default-features = false

[dependencies.tempfile]
version = "3.27.0"

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "macros",
    "fs",
    "sync",
    "time",
]

[dependencies.toml]
version = "1.1.2"

[dependencies.unicode-width]
version = "0.2"
